///////////////////////////////////////////////////////
//                                                   //
//       Московский Государственный Технический      //
//           Университет Гражданской Авиации         //
//                                                   //
//      Курсовая работа студента группы: ЭВМ-2-2     //
//           Новичкова Виталия Дмитриевича           //
//                                                   //
// (с) 2005-2012 Система Компьютнрных Сетей  WohlNET //
//                                                   //
///////////////////////////////////////////////////////

//Сложение-Вычитание частей формулы

// expr ::= term | expr '+' term | expr '-' term
double expr(char *s,char *sid)
{
    double res=term(s,sid);
    for (;;)
        {
		if (Oper.Op=='+')
                {
			if (skip('+',s,sid)==1) return 999999999;
			res+=term(s,sid);
                }
                else
		if (Oper.Op=='-')
                {
			if (skip('-',s,sid)==1) return 999999999;
			res-=term(s,sid);
                }
                else
		return res;


	}
}
